# List Projects

### Prerequisites

Requires a user auth token. See the [API Auth](/api/api-setup-text.md) section.

### Listing Projects

Lists all the databases created by the user.

{% code overflow="wrap" lineNumbers="true" %}

```javascript
import mindplug from "@/src/mindplugAPI"; // base instance

mindplug.post("/db/list", {});
```

{% endcode %}

### Sample Response

```json
{
    "success": true,
    "projects": [
        {
            "projectName": "walmart",
            "lastUpdated": "2023-07-16T18:00:27.601+00:00",
            "totalVectors": 5,
            "collectionCount": 1
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindplug.io/api/list-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
